%define name	tinycc-2008.1
%define version	1.0
%define release	%mkrel 1
%define title	tinycc

Summary:	TinyMe Desktop Control Center
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		System/Configuration
Url:		http://www.tinymelinux.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

Requires:	gtkdialog
Requires:	text-editor
#Shadow Requires: pcmanfm, obconf, lxpanel, drakconf

%description
This is the Desktop Control Center for TinyMe. It is used to control
the wallpaper, GTK theme, icon theme, window manager, panel, system
monitor, and desktop icons for TinyMe systems.

This version is for TinyMe 2008.1.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Configure Your Desktop
Exec=/usr/bin/tinycc
Comment=Desktop Administration Center
Icon=acorn-solid.svg
Terminal=false
Type=Application
StartupNotify=true
Categories=Settings;GTK;X-MandrivaLinux-System-Configuration;
EOF

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}

install -m 755 %{title} $RPM_BUILD_ROOT%{_bindir}/%{title}
install -m 755 acorn-solid.svg $RPM_BUILD_ROOT%{_iconsdir}/
install -m 666 CHANGELOG $RPM_BUILD_ROOT%{_docdir}/%{name}/CHANGELOG

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{title}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/acorn-solid.svg
%{_docdir}/%{name}/CHANGELOG

%changelog
* Sun Dec 07 2008 KDulcimer <kdulcimer@gmail.com> 1.0-1tinyme2008
- 2008.1

* Fri Jun 06 2008 KDulcimer <kdulcimer@gmail.com> 1.03-1tinyme2008
- 1.03
- Removed mrxvt dependency
- Changed name to tinycc-2008.0

* Tue Feb 26 2008 KDulcimer <kdulcimer@gmail.com> 1.02-1tinyme2008
- 1.02

* Sun Jan 27 2008 KDulcimer <kdulcimer@gmail.com> 1.01-1tinyme2008
- 1.01

* Wed Dec 12 2007 KDulcimer <kdulcimer@gmail.com> 1.0-3tinyme2008
- forgot to update tarball

* Tue Dec 11 2007 KDulcimer <kdulcimer@gmail.com> 1.0-2pclos_tinyme2007
- corrected menu entry
- added icon
- corrected tinycc script to check for presence of config file

* Tue Dec 11 2007 KDulcimer <kdulcimer@gmail.com> 1.0-1pclos_tinyme2007
- 1.0
- First build
